POST /builds
Build a web application
API key (Bearer), on the public API endpoint.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
Idempotency-Key | header | string · required |
Request body
application/json · schema BuildCreate
| Field | Type | Description |
|---|---|---|
plan | object · required |
Responses
| Status | Description | Body |
|---|---|---|
202 | Build accepted | BuildCreateResponse |
403 | scope_missing (build:create) | |
409 | idempotency_conflict | |
422 | build_plan_invalid or build_plan_unresolved | |
503 | job_projection_invalid: the server refuses to publish a result that does not satisfy its closed public schema | Error |
Examples
curl
curl -X POST "$GALON_API_BASE/builds" \
-H "Authorization: Bearer $GALON_API_KEY" \
-H "Idempotency-Key: <unique-key>" \
-H "Content-Type: application/json" \
-d '{"plan": {}}'Node.js (SDK)
import { Galon } from "galon";
const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.builds.create({"plan": {}}, { idempotencyKey: "<unique-key>" });Python (SDK)
from galon import Galon
galon = Galon() # reads GALON_API_KEY
result = galon.builds.create({"plan": {}}, idempotency_key="<unique-key>")